Subject: Good advice for Attachments in Pine

From: [email-masked] (Rick Horlick)
Date: 19 Jan 1997 17:51:07 GMT

I've heard a range of advice on how to safely attach MM files, formatted 
files and programs to pine messages.  I've always pkzipped programs and 
pictures (for example) on WinTel machines, and BinHexed Mac files.  On 
mac files, I upload (to unix-based pine) in ASCII format, and attachfiles 
as-they-are.  On IBM-compat's, I upload files (usually pkzipped, but not 
always), but always uuencode before attaching a file in pine.

 In an earlier discussion in this group, I read that pine always encodes
non-printable files as Base64 (??), which seems to deal with 8-bit (ie,
non-printable) ascii.  Colleagues have argued that Mac or PC executables
or non-text object files can be safely attached to pine messages, if only
they are uploaded as binary.  Who's right? 

(BTW, does uuencode both compact files?  How about BinHex?  [I know that 
PKZip does reduce filesize]).

 -- 
______________________________________________________________________
Rick Horlick     				[email-masked]
Asst Dir for Curriculum Support and Instr. Techn. (Acting)
108 A Dwight Hall				
Mt. Holyoke College				Phone: (413) 538-4163	
S. Hadley, MA  01075				Fax:   (413) 538-2246